Package org.eclipse.jgit.transport

## Class OperationResult

- java.lang.Object
- - org.eclipse.jgit.transport.OperationResult

Direct Known Subclasses:
  `FetchResult`, `PushResult`

    public abstract class OperationResult
    extends Object

Class holding result of operation on remote repository. This includes refs advertised by remote repo and local tracking refs updates.

### Constructor Summary

Constructors
`OperationResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Ref` `getAdvertisedRef​(String name)` Get a single advertised ref by name.
`Collection<Ref>` `getAdvertisedRefs()` Get the complete list of refs advertised by the remote.
`String` `getMessages()` Get the additional messages, if any, returned by the remote process.
`TrackingRefUpdate` `getTrackingRefUpdate​(String localName)` Get the status for a specific local tracking ref update.
`Collection<TrackingRefUpdate>` `getTrackingRefUpdates()` Get the status of all local tracking refs that were updated.
`URIish` `getURI()` Get the URI this result came from.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OperationResult

    public OperationResult()

### Method Detail

#### getURI

    public URIish getURI()

Get the URI this result came from.

Each transport instance connects to at most one URI at any point in time.

Returns:
  the URI describing the location of the remote repository.

#### getAdvertisedRefs

    public Collection<Ref> getAdvertisedRefs()

Get the complete list of refs advertised by the remote.

The returned refs may appear in any order. If the caller needs these to be sorted, they should be copied into a new array or List and then sorted by the caller as necessary.

Returns:
  available/advertised refs. Never null. Not modifiable. The collection can be empty if the remote side has no refs (it is an empty/newly created repository).

#### getAdvertisedRef

    public final Ref getAdvertisedRef​(String name)

Get a single advertised ref by name.

The name supplied should be valid ref name. To get a peeled value for a ref (aka `refs/tags/v1.0^{}`) use the base name (without the `^{}` suffix) and look at the peeled object id.

Parameters:
  `name` - name of the ref to obtain.
Returns:
  the requested ref; null if the remote did not advertise this ref.

#### getTrackingRefUpdates

    public Collection<TrackingRefUpdate> getTrackingRefUpdates()

Get the status of all local tracking refs that were updated.

Returns:
  unmodifiable collection of local updates. Never null. Empty if there were no local tracking refs updated.

#### getTrackingRefUpdate

    public TrackingRefUpdate getTrackingRefUpdate​(String localName)

Get the status for a specific local tracking ref update.

Parameters:
  `localName` - name of the local ref (e.g. "refs/remotes/origin/master").
Returns:
  status of the local ref; null if this local ref was not touched during this operation.

#### getMessages

    public String getMessages()

Get the additional messages, if any, returned by the remote process.

These messages are most likely informational or error messages, sent by the remote peer, to help the end-user correct any problems that may have prevented the operation from completing successfully. Application UIs should try to show these in an appropriate context.

Returns:
  the messages returned by the remote, most likely terminated by a newline (LF) character. The empty string is returned if the remote produced no additional messages.